.separator-block {
    padding: 107px 100px;
    position: relative;
}

.separator-block::before {
    content: "";
    position: absolute;
    top: 44%;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #AFD3FF;
    z-index: 0;
}

.separator-block .swiper-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.separator-block .block {
    flex: 1 0 0;
    display: flex;
    flex-direction: column;
    gap: 12px;
    justify-content: center;
    text-align: center;
    z-index: 1;
}

.separator-block .icon-wrapper {
    width: 88px;
    height: 88px;
    background: linear-gradient(180deg, #EAF3FF 0%, #DEECFF 100%);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    align-self: center;
}

.separator-block .icon-wrapper img {
    width: 40px;
    height: 40px;
}

.separator-block .swiper-main-container {
    display: none;
    margin-top: 32px;
}

.separator-block .swiper__pagination-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

@media screen and (max-width: 1919px) {
    .separator-block::before {
        top: 42%;
    }

    .separator-block {
        padding: 48px 80px;
    }
}

@media screen and (max-width: 1439px) {
    .separator-block::before {
        top: 41%;
    }

    .separator-block {
        padding: 40px 60px;
    }

    .separator-block .icon-wrapper {
        width: 72px;
        height: 72px;
    }

    .separator-block .icon-wrapper img {
        width: 32px;
        height: 32px;
    }
}

@media screen and (max-width: 1079px) {
    .separator-block {
        padding: 48px 40px;
    }

    .separator-block .swiper-main-container {
        display: block;
    }

    .separator-block::before {
        top: 34%;
    }
}

@media screen and (max-width: 576px) {
    .separator-block {
        padding: 40px 16px;
    }

    .separator-block::before {
        top: 30%;
    }
}


.separator-block .swiper-pagination-bullet {
    background: var(--secondary-white);
}

.separator-block .swiper-pagination-bullet-active {
    background: var(--accent-dark-bg);
}